# $Revision: 1.4 $, $Date: 2009/10/05 13:59:59 $
%define 	module	burn
Summary:	simple and quick way to burn CDs or DVDs
Summary(pl.UTF-8):	prosty skrypt umożliwiający wypalanie CD/DVD
Name:		python-%{module}
Version:	0.4.4
Release:	1
License:	GPL v2
Group:		Development/Languages/Python
Source0:	http://www.bigpaul.org/burn/download/%{module}-%{version}.tar.gz
# Source0-md5:	89526cac818f216eb93407b47d05f971
Patch0:		%{name}-confdir.patch
URL:		http://www.bigpaul.org/burn/
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	cdrdao
Requires:	cdrecord
Requires:	mkisofs
Requires:	python-eyeD3
Requires:	python-mad
Requires:	python-modules
Requires:	python-pyao
Requires:	python-pyvorbis
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Burn is a simple program/script written in Python. It's aim is to make
it simple and quick to burn CDs or DVDs.

%description -l pl.UTF-8
Burn jest prostym skryptem napisanym w języku Python. Jego zadaniem
jest umożliwienie wypalenia płyt CD/DVD w możliwie prosty i szybki
sposób.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/burn
install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp doc/{burn.1,burn-configure.1} $RPM_BUILD_ROOT%{_mandir}/man1
cp burn.conf $RPM_BUILD_ROOT%{_sysconfdir}/burn

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/AUTHORS doc/BUGS changelog doc/KNOWN_BUGS README doc/TODO doc/WISHLIST burn.conf-dist burn.conf
%dir %{_sysconfdir}/burn
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/burn/burn.conf
%attr(755,root,root) %{_bindir}/burn
%attr(755,root,root) %{_bindir}/burn-configure
%dir %{py_sitescriptdir}/burnlib
%{py_sitescriptdir}/burnlib/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-*.egg-info
%endif
%{_mandir}/man1/burn.1*
%{_mandir}/man1/burn-configure.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-burn.spec,v $
Revision 1.4  2009/10/05 13:59:59  duddits
- rel.1, works

Revision 1.3  2009/09/20 17:06:50  duddits
- R: python-{mad,pyao}

Revision 1.2  2009/09/20 16:35:03  duddits
- rel. 0.2
- confdir.patch added for /etc/burn config dir and example conf file

Revision 1.1  2009/08/20 09:18:33  duddits
- new

